#ifndef XSENTIENTHANDLE_H
#define XSENTIENTHANDLE_H

#include "xasset.h"

class XSentientHandle : public XAsset
{
public:
    explicit XSentientHandle();
    ~XSentientHandle();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint16 mNumber;
    quint16 mInfoIndex;
};

#endif // XSENTIENTHANDLE_H
